Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.bindery
Class BinderyDirContext

    java.lang.Object
      |
      +--com.sun.jndi.toolkit.ctx.PartialCompositeContext
            |
            +--com.sun.jndi.toolkit.ctx.ComponentContext
                  |
                  +--com.sun.jndi.toolkit.ctx.AtomicContext
                        |
                        +--com.sun.jndi.toolkit.ctx.PartialCompositeDirContext
                              |
                              +--com.sun.jndi.toolkit.ctx.ComponentDirContext
                                    |
                                    +--com.sun.jndi.toolkit.ctx.AtomicDirContext
                                          |
                                          +--com.novell.service.bindery.BinderyDirContext

public class BinderyDirContext
extends com.sun.jndi.toolkit.ctx.AtomicDirContext
implements javax.naming.Referenceable

Implements the JNDI DirContext interface (via the AtomicDirContext). BinderyDirContext represents the NetWare bindery for a given server, and is effectively the bindery root object or container. All objects found in the server's bindery (dynamic and static) are effectively bound to this context object. The bindery objects are returned as instances or subclasses of the BinderyObjectDirContext class.

Because the NetWare bindery is a flat name space, bindings to the root of bindery (BinderyDirContext) are supported, but not to its subordinates.

See Also:
  `BinderyObjectDirContext`, `QueueBinderyObjectDirContext`, `ServerBinderyObjectDirContext`, `TreeBinderyObjectDirContext`

Fields inherited from class com.sun.jndi.toolkit.ctx.ComponentContext
`TERMINAL_COMPONENT, TERMINAL_NNS_COMPONENT, USE_CONTINUATION`

Fields inherited from class com.sun.jndi.toolkit.ctx.PartialCompositeContext
`_ATOMIC, _COMPONENT, _contextType, _PARTIAL`

Method Summary
`java.lang.String` | `getNameInNamespace()`

Methods inherited from class com.sun.jndi.toolkit.ctx.AtomicDirContext
`a_bind_nns, a_createSubcontext_nns, a_getAttributes_nns, a_getSchema_nns, a_getSchemaDefinition_nns, a_modifyAttributes_nns, a_modifyAttributes_nns, a_rebind_nns, a_search_nns, a_search_nns, a_search_nns, c_bind_nns, c_bind, c_createSubcontext_nns, c_createSubcontext, c_getAttributes_nns, c_getAttributes, c_getSchema_nns, c_getSchema, c_getSchemaClassDefinition_nns, c_getSchemaClassDefinition, c_modifyAttributes_nns, c_modifyAttributes_nns, c_modifyAttributes, c_modifyAttributes, c_rebind_nns, c_rebind, c_search_nns, c_search_nns, c_search_nns, c_search, c_search, c_search`

Methods inherited from class com.sun.jndi.toolkit.ctx.ComponentDirContext
`p_bind, p_createSubcontext, p_getAttributes, p_getSchema, p_getSchemaClassDefinition, p_modifyAttributes, p_modifyAttributes, p_rebind, p_search, p_search, p_search`

Methods inherited from class com.sun.jndi.toolkit.ctx.PartialCompositeDirContext
`bind, bind, createSubcontext, createSubcontext, getAttributes, getAttributes, getAttributes, getAttributes, getPCDirContext, getSchema, getSchema, getSchemaClassDefinition, getSchemaClassDefinition, modifyAttributes, modifyAttributes, modifyAttributes, modifyAttributes, rebind, rebind, search, search, search, search, search, search, search, search`

Methods inherited from class com.sun.jndi.toolkit.ctx.AtomicContext
`a_bind_nns, a_createSubcontext_nns, a_destroySubcontext_nns, a_getNameParser_nns, a_list_nns, a_listBindings_nns, a_lookup_nns, a_lookupLink_nns, a_processJunction_nns, a_processJunction_nns, a_rebind_nns, a_rename_nns, a_resolveIntermediate_nns, a_unbind_nns, c_bind_nns, c_bind, c_createSubcontext_nns, c_createSubcontext, c_destroySubcontext_nns, c_destroySubcontext, c_getNameParser_nns, c_getNameParser, c_list_nns, c_list, c_listBindings_nns, c_listBindings, c_lookup_nns, c_lookup, c_lookupLink_nns, c_lookupLink, c_rebind_nns, c_rebind, c_rename_nns, c_rename, c_resolveIntermediate_nns, c_unbind_nns, c_unbind, isEmpty, resolve_to_context, resolve_to_nns_and_continue, resolve_to_penultimate_context_nns, resolve_to_penultimate_context`

Methods inherited from class com.sun.jndi.toolkit.ctx.ComponentContext
`c_processJunction_nns, isAllEmpty, p_bind, p_createSubcontext, p_destroySubcontext, p_getNameParser, p_list, p_listBindings, p_lookup, p_lookupLink, p_parseComponent, p_rebind, p_rename, p_resolveIntermediate, p_resolveToClass, p_unbind`

Methods inherited from class com.sun.jndi.toolkit.ctx.PartialCompositeContext
`allEmpty, bind, bind, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getNameParser, getNameParser, getPCContext, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, rename, rename, resolveToClass, resolveToClass, unbind, unbind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNameInNamespace

    public java.lang.String getNameInNamespace()
                                        throws javax.naming.NamingException

  Overrides:
    getNameInNamespace in class com.sun.jndi.toolkit.ctx.PartialCompositeContext

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD